Home Download Buy Blog Forum Support

Package Control 2.0

Re: Package Control 2.0

Postby robertcollier4 on Sat Aug 10, 2013 8:37 am

Love the new website. Suggestions:

1. Have the Search box visible always as part of the top menu. Also, the search box being of font-size 2.5em is too large making it disorienting to the site layout and organization. The search box is supposed to be a sub element - that means it is supposed to be smaller than the main Site Title - but instead its current size of 2.5em puts it on par with the main Site Title. The size of the search-box should be the same as that of the titles of the search results that it gives which is font-size 1.4em (h3).

2. The section heading is unnecessary and sometimes confusing since it is sometimes confused for a menu navigation item on the page. Perhaps remove it since it is already known which section it is from the highlight. Otherwise if you are going to keep the section heading, then there should be a line separator below it so that it is understood that it is not part of the page content but part of the top menu navigational template / breadcrumb area.
Image
Image
robertcollier4
 
Posts: 153
Joined: Sun Feb 24, 2013 5:37 pm

Re: Package Control 2.0

Postby tito on Sat Aug 10, 2013 9:35 am

WOW! wbond, Amazing, I was not expecting that much! thanks a lot! :)
Give APIs, let the community build the rest!
https://github.com/titoBouzout
tito
 
Posts: 706
Joined: Thu Sep 29, 2011 2:27 pm
Location: Montevideo, Uruguay

Re: Package Control 2.0

Postby fburleigh on Sat Aug 10, 2013 2:59 pm

That's another beautiful piece of work from Mr. Bond. I've added to the appreciation for this important contribution to the Sublime ecosystem:

https://sublime.wbond.net/say_thanks
fburleigh
 
Posts: 21
Joined: Tue Apr 17, 2012 6:40 pm

Re: Package Control 2.0

Postby icylace on Sat Aug 10, 2013 4:46 pm

Thank you !
I just made a donation.
icylace
 
Posts: 46
Joined: Mon Jan 14, 2013 7:24 am

Re: Package Control 2.0

Postby robertcollier4 on Sat Aug 10, 2013 7:05 pm

My package uses a manual packages.json file to specify Windows-only compatability. However I am concerned that now defining packages.json schema 2.0 there will break backwards compatability. If I now use schema 2.0 for packages.json - what will happen to the users who are still using the old version of the package control plugin?

Is it possible to specify both the schema 1.2 and schema 2.0 in packages.json - so that it will work for both old and new users of the package control plugin?
robertcollier4
 
Posts: 153
Joined: Sun Feb 24, 2013 5:37 pm

Re: Package Control 2.0

Postby NikKlaus on Sat Aug 10, 2013 7:40 pm

well done,thank you!
NikKlaus
 
Posts: 3
Joined: Fri Dec 07, 2012 12:56 am

Re: Package Control 2.0

Postby sublimator on Sat Aug 10, 2013 10:38 pm

Grats
It is better to remain silent and be thought a fool, than to speak out and remove all doubt
sublimator
 
Posts: 648
Joined: Thu Mar 20, 2008 5:41 am

Re: Package Control 2.0

Postby Saxi on Sun Aug 11, 2013 1:18 am

What is the suggested course of action to upgrade ST3 from the existing Package Control to this?
Just delete the package control folder then go through the installation on the site?
Saxi
 
Posts: 99
Joined: Mon Nov 19, 2012 1:37 pm

Re: Package Control 2.0

Postby Stubblechunks on Mon Aug 12, 2013 6:23 pm

Saxi wrote:What is the suggested course of action to upgrade ST3 from the existing Package Control to this?
Just delete the package control folder then go through the installation on the site?


Just do Package Control: Upgrade Package, then select "Package Control" as the package to be upgraded. It's so easy it hardly seems possible.
Stubblechunks
 
Posts: 24
Joined: Wed Apr 24, 2013 8:35 pm

Re: Package Control 2.0

Postby Astrophizz on Mon Aug 12, 2013 7:33 pm

Stubblechunks wrote:
Saxi wrote:What is the suggested course of action to upgrade ST3 from the existing Package Control to this?
Just delete the package control folder then go through the installation on the site?


Just do Package Control: Upgrade Package, then select "Package Control" as the package to be upgraded. It's so easy it hardly seems possible.


That doesn't work if you were using an alpha version :( Whenever I check for updates it says I'm using alpha 6 and if I check again after upgrading it says the same thing. Installing with the code from the site doesn't work. I might need to delete the folder and go through the installation.
Astrophizz
 
Posts: 4
Joined: Mon Aug 12, 2013 7:25 pm

PreviousNext

Return to General Discussion

Who is online

Users browsing this forum: Exabot [Bot] and 17 guests